// import { isShareHref } from '@/utils/share';

interface IConfig {
  key?: string; // localStorage(sessionStorage) 的键名，默认是 vuex
  paths: string[]; // 需要本地持久化的 vuex 模块名称
  storage: Storage; // 使用不同的 storage 对象存储
}


// 获取storage对象
const getStorage = (): Storage => {
  // 如果是进入分享链接项目，只需要session持久化，避免与正常项目localStorage冲突
  // return isShareHref() ? window.sessionStorage : window.localStorage;
  return window.localStorage;
};

// 需要本地持久化的 vuex 模块名称
const config: IConfig = {
  paths: ['summaryLayout'],
  storage: getStorage(),
};

export default config;
